Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.nativebinaries.toolchain.plugins
[Groovy] Class ClangCompilerPlugin

    java.lang.Object
      org.gradle.nativebinaries.toolchain.plugins.ClangCompilerPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class ClangCompilerPlugin

A Plugin which makes the Clang compiler available for compiling C/C++ code.

Constructor Summary
`ClangCompilerPlugin(FileResolver fileResolver, ExecActionFactory execActionFactory, Instantiator instantiator)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClangCompilerPlugin

    @Inject
    ClangCompilerPlugin(FileResolver fileResolver, ExecActionFactory execActionFactory, Instantiator instantiator)

Method Detail

### apply

    void apply(Project project)

Gradle API 1.10